Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.config.entities
Class InterceptorStackConfig

    java.lang.Object
      com.opensymphony.xwork2.util.location.Located
          com.opensymphony.xwork2.config.entities.InterceptorStackConfig

All Implemented Interfaces:
  InterceptorListHolder, Locatable, Serializable

    public class InterceptorStackConfig

extends Located
implements InterceptorListHolder, Serializable

Configuration for InterceptorStack.

In the xml configuration file this is defined as the `interceptor-stack` tag.

Author:
  Mike, Rainer Hermanns
See Also:
  Serialized Form

Field Summary
`private List<InterceptorMapping>` | `interceptors`
`private String` | `name`

Fields inherited from class com.opensymphony.xwork2.util.location.Located
`location`

Constructor Summary
`InterceptorStackConfig()`
`InterceptorStackConfig(String name)`

Method Summary
`void` | `addInterceptor(InterceptorMapping interceptor)`
`void` | `addInterceptors(List<InterceptorMapping> interceptors)`
`boolean` | `equals(Object o)`
`Collection<InterceptorMapping>` | `getInterceptors()`
`String` | `getName()`
`int` | `hashCode()`
`void` | `setName(String name)`

Methods inherited from class com.opensymphony.xwork2.util.location.Located
`getLocation, setLocation`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### interceptors

    private List<InterceptorMapping> interceptors

### name

    private String name

Constructor Detail

### InterceptorStackConfig

    public InterceptorStackConfig()

### InterceptorStackConfig

    public InterceptorStackConfig(String name)

Method Detail

### getInterceptors

    public Collection<InterceptorMapping> getInterceptors()

### setName

    public void setName(String name)

### getName

    public String getName()

### addInterceptor

    public void addInterceptor(InterceptorMapping interceptor)

  Specified by:
    `addInterceptor` in interface `InterceptorListHolder`

### addInterceptors

    public void addInterceptors(List<InterceptorMapping> interceptors)

  Specified by:
    `addInterceptors` in interface `InterceptorListHolder`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Apache Software Foundation. All Rights Reserved.